Name:		luminance-hdr
Version:	2.2.0
Release:	%mkrel 4
Summary:	A graphical tool for creating and tone-mapping HDR images
Group:		Graphics/Editors and Converters
License:	GPLv2+
URL:		http://qtpfsgui.sourceforge.net/
Source0:	http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.bz2
Patch1:		luminance-hdr-2.2.0-desktop_file_fix.patch
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	libgomp-devel
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(OpenEXR)
Obsoletes:	qtpfsgui
Provides:	qtpfsgui
Requires:	qt4-database-plugin-sqlite
Suggests:	hugin

%description
Luminance is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.

%prep
%setup -q -c -n %{name}-%{version}%{?pre:-%pre}
%patch1 -p0 -b .desktop-fix

# fix inconsistant newlines
sed -i 's/\r//' Changelog

%build
%cmake
%make

%install
%makeinstall_std -C build

#icon
install -Dpm644 images/luminance.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

for i in 16 24 64; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	convert -scale $i images/%{name}.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done

%files
%{_datadir}/luminance
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.2.0-4.mga3
+ Revision: 359115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Dec 02 2012 fwang <fwang> 2.2.0-3.mga3
+ Revision: 325010
- update rpm group
- update rpm group
- rebuild for new openexr

* Sat Feb 04 2012 wally <wally> 2.2.0-2.mga3
+ Revision: 204436
- add suggests to hugin

* Sat Feb 04 2012 wally <wally> 2.2.0-1.mga2
+ Revision: 204431
- new version 2.2.0
- drop unneeded patches
- rediff desktop file patch
- change to cmake
- clean .spec a bit

* Mon Dec 26 2011 wally <wally> 2.1.0-8.mga2
+ Revision: 187829
- rebuild for new libtiff

* Sun Dec 18 2011 fwang <fwang> 2.1.0-7.mga2
+ Revision: 183664
- br qtwebkit

* Sat Dec 10 2011 eatdirt <eatdirt> 2.1.0-6.mga2
+ Revision: 180398
- Rebuilt for fftw-3.3

* Tue Nov 15 2011 wally <wally> 2.1.0-5.mga2
+ Revision: 168000
- add localizations (mga#3351)
- don't tag help files as docs

* Sun Oct 09 2011 wally <wally> 2.1.0-4.mga2
+ Revision: 153499
- rebuild for new libraw
- add patch from gentoo to fix build with new libraw

* Sun Oct 09 2011 fwang <fwang> 2.1.0-3.mga2
+ Revision: 153429
- rebuild for new exiv2

* Thu Sep 08 2011 wally <wally> 2.1.0-2.mga2
+ Revision: 141114
- add missing requires for qt4-database-plugin-sqlite (mga#2668)
- new version 2.1.0
- rediff desktop file patch

* Tue Jul 05 2011 wally <wally> 2.0.2-2.mga2
+ Revision: 118730
- imported package luminance-hdr

